Tags: eclipce

07:24 24.11.2010

Не так давно я столкнулся с проблемой запуска Eclipce x64 на Windows7 x64.
В принципе данная проблема верна так же и для Vista x64.

x64 жалуется на то, что не удается найти Java и корень проблемы из выдаваемого сообщения совсем не очевиден. При этом если скачать x32 версию — она запустится без вопросов.
Проблема кроется в том, что в системе по умолчанию установлена 32-разрядная версия Java, а с ней 64-разрядный Eclipce, по понятным причинам, работать не может.

Погуглив я нашел легкое решение:
1. Запускаем 64-разрядный Internet Explorer из меню "Все программы" (что в пуске)
2. Идем на сайт java.com.
3. Скачиваем и устанавливаем предложенную версию Java.
4. Profit!